Name:           nightfall
Version:        1.92
Release:        %mkrel 4
Summary:        An astronomy application for emulating eclipsing stars

License:        GPLv2+
Group:          Sciences/Astronomy
# This URL is no longer available
URL:            http://www.hs.uni-hamburg.de/DE/Ins/Per/Wichmann/Nightfall.html
Source0:        https://www.la-samhna.de/%{name}/%{name}-%{version}.tar.gz
Source1:        nightfall.desktop

#need to get debug symbols
Patch0:         nightfall-1.82-optflags.patch
Patch1:         nightfall-1.82-makefile.patch
#fix buffer overflow
Patch2:         nightfall-1.82-buffoverflow.patch

#no longer supported
#BuildRequires: openmpi-devel
BuildRequires: libgomp-devel
BuildRequires: pkgconfig(freeglut)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtkgl-2.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libjpeg)

Requires:      gnuplot
Requires:      a2ps
Requires:      fortune-mod

%description
Nightfall is an astronomy application for fun, education, and science.
It can produce animated views of eclipsing binary stars,
calculate synthetic lightcurves and radial velocity curves,
and eventually determine the best-fit model for a given set of
observational data of an eclipsing binary star system.
It is, however, not able to fry your breakfast egg on your hard disk.

%prep
%setup -q
%autopatch -p1

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%build
export CFLAGS='%{optflags} -fcommon'
export CXXFLAGS='%{optflags} -fcommon'
export FFLAGS='%{optflags} -fcommon'

%configure \
   --with-gnuplot \
   --enable-opengl \
   --enable-openmp \
   --disable-rpath \
   --disable-gnome \
   --with-locale-prefix=%{_datadir}/locale
%make_build

%install
%make_install

desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc UserManual.pdf UserManual.html README AUTHORS ChangeLog
%{_bindir}/nightfall
%{_datadir}/nightfall/
%{_datadir}/applications/nightfall.desktop
%{_mandir}/man1/nightfall.1*


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.92-4.mga9
+ Revision: 1828788
- Mageia 9 Mass Rebuild

* Tue Jun 09 2020 joequant <joequant> 1.92-3.mga8
+ Revision: 1591405
- fix for gcc10
- fix for gcc10
- nightfall

* Fri Feb 14 2020 umeabot <umeabot> 1.92-2.mga8
+ Revision: 1521430
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 25 2018 wally <wally> 1.92-1.mga7
+ Revision: 1344928
- new version 1.92
- build without libgnomeui

* Sun Sep 23 2018 umeabot <umeabot> 1.88-3.mga7
+ Revision: 1299744
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 wally <wally> 1.88-2.mga7
+ Revision: 1244831
- fix build on aarch64
+ eatdirt <eatdirt>
- Upgrade to version 1.88

* Tue Feb 16 2016 umeabot <umeabot> 1.82-5.mga6
+ Revision: 961756
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 1.82-4.mga6
+ Revision: 895296
- fix empty lang files adding '--with-locale-prefix=' configure option

* Wed Oct 15 2014 umeabot <umeabot> 1.82-3.mga5
+ Revision: 743032
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.82-2.mga5
+ Revision: 682887
- Mageia 5 Mass Rebuild

* Fri Jul 04 2014 eatdirt <eatdirt> 1.82-1.mga5
+ Revision: 643033
- Fix patch file and missing BR
- Upgrade to version 1.82

* Sat Oct 19 2013 umeabot <umeabot> 1.70-2.mga4
+ Revision: 530554
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 joequant <joequant> 1.70-1.mga4
+ Revision: 445919
- fix mandir
- remove patch3 comment
- clean spec
- add build requires for i586
- imported package nightfall

